Projets
Créer un projet
Créez un nouveau projet vierge. Ajoutez des diapositives avec Create Slide + Update Slide.
POST
/
projects
Create a blank project
curl --request POST \
--url https://faces.app/api/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://faces.app/api/v1/projects"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://faces.app/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectId": "<string>",
"projectSlug": "<string>",
"projectVersionId": "<string>",
"editorUrl": "<string>"
}{
"error": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"hint": "<string>"
}Autorisations
API key with "faces_" prefix. Create one at Settings > Developers.
Corps
application/json
Optional display name. Defaults to 'Untitled'.
Required string length:
1 - 200⌘I
Create a blank project
